summaryrefslogtreecommitdiff
path: root/office/pandoc-bin/pandoc-bin.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/pandoc-bin/pandoc-bin.SlackBuild')
-rw-r--r--office/pandoc-bin/pandoc-bin.SlackBuild16
1 files changed, 6 insertions, 10 deletions
diff --git a/office/pandoc-bin/pandoc-bin.SlackBuild b/office/pandoc-bin/pandoc-bin.SlackBuild
index 433fa9ce74..3d962a8181 100644
--- a/office/pandoc-bin/pandoc-bin.SlackBuild
+++ b/office/pandoc-bin/pandoc-bin.SlackBuild
@@ -24,12 +24,10 @@
PRGNAM=pandoc-bin
SRCNAM=pandoc
-VERSION=${VERSION:-2.11.1.1}
+VERSION=${VERSION:-2.11.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-set -e
-
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
@@ -45,31 +43,29 @@ else
exit 1
fi
+set -e
+
TMP=${TMP:-/tmp/SBo}
CWD=$(pwd)
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-mkdir -p $TMP $PKG $OUTPUT
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $OUTPUT
cd $TMP
rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION-linux-amd64.tar.gz
cd $SRCNAM-$VERSION
chown -R root:root .
-
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-rm -rf $PKG
-mkdir -p $PKG/usr/
cp -r bin $PKG/usr/
cp -r share/man $PKG/usr/
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/ -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-bin.SlackBuild